import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { TapdReviewInfo } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-18 14:29
 */
interface TapdReviewInfoCU extends ConditionUtil<TapdReviewInfoCU>{
    ID:FieldUtil<TapdReviewInfoCU>;
    TAPD_ID:FieldUtil<TapdReviewInfoCU>;
    BUSINESS_GROUP:FieldUtil<TapdReviewInfoCU>;
    CREATE_TIME:FieldUtil<TapdReviewInfoCU>;
    UPDATE_TIME:FieldUtil<TapdReviewInfoCU>;
}

class TapdReviewInfoCUImpl extends ConditionUtilImpl<TapdReviewInfoCUImpl> implements TapdReviewInfoCU{ 
    newInstance(): TapdReviewInfoCUImpl {
        return new TapdReviewInfoCUImpl();
    } 
    get ID(): FieldUtil<TapdReviewInfoCU>{  
        return new FieldUtil('id','id','', this);
    }
    get TAPD_ID(): FieldUtil<TapdReviewInfoCU>{  
        return new FieldUtil('tapd_id','tapdId','', this);
    }
    get BUSINESS_GROUP(): FieldUtil<TapdReviewInfoCU>{  
        return new FieldUtil('business_group','businessGroup','业务组类型：0-CP；1-PC；2-SaaS；', this);
    }
    get CREATE_TIME(): FieldUtil<TapdReviewInfoCU>{  
        return new FieldUtil('create_time','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<TapdReviewInfoCU>{  
        return new FieldUtil('update_time','updateTime','更新时间', this);
    }
}

@Singleton 
class TapdReviewInfoMU extends TableUtilImpl<TapdReviewInfoCU,TapdReviewInfo>{ 
    tableName  = 'tapd_review_info';
    tableFields  = ['id','tapd_id','business_group','create_time','update_time'];
    modelFields  = ['id','tapdId','businessGroup','createTime','updateTime'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): TapdReviewInfoCU {
        return new TapdReviewInfoCUImpl();
    }   

    static get ID(): FieldUtil<TapdReviewInfoCU>{ 
        return new FieldUtil('id','id','', new TapdReviewInfoCUImpl());
    }
    static get TAPD_ID(): FieldUtil<TapdReviewInfoCU>{ 
        return new FieldUtil('tapd_id','tapdId','', new TapdReviewInfoCUImpl());
    }
    static get BUSINESS_GROUP(): FieldUtil<TapdReviewInfoCU>{ 
        return new FieldUtil('business_group','businessGroup','业务组类型：0-CP；1-PC；2-SaaS；', new TapdReviewInfoCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<TapdReviewInfoCU>{ 
        return new FieldUtil('create_time','createTime','创建时间', new TapdReviewInfoCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<TapdReviewInfoCU>{ 
        return new FieldUtil('update_time','updateTime','更新时间', new TapdReviewInfoCUImpl());
    }

    get ID(): FieldUtil<TapdReviewInfoCU>{ 
        return TapdReviewInfoMU.ID;
    }
    get TAPD_ID(): FieldUtil<TapdReviewInfoCU>{ 
        return TapdReviewInfoMU.TAPD_ID;
    }
    get BUSINESS_GROUP(): FieldUtil<TapdReviewInfoCU>{ 
        return TapdReviewInfoMU.BUSINESS_GROUP;
    }
    get CREATE_TIME(): FieldUtil<TapdReviewInfoCU>{ 
        return TapdReviewInfoMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<TapdReviewInfoCU>{ 
        return TapdReviewInfoMU.UPDATE_TIME;
    }
}
export {TapdReviewInfoMU, TapdReviewInfoCU}
